server:
  port: 35150
  servlet:
    context-path: /userapp
#spring
spring:
  application:
    name: userapp
  #Database
  datasource:
    driver-class-name: com.mysql.cj.jdbc.Driver
    url: jdbc:mysql://rm-wz9dd796t4j1giz6t2o.mysql.rds.aliyuncs.com:3306/iuav_cms?allowMultiQueries=true&useUnicode=true&characterEncoding=UTF-8&useSSL=false&serverTimezone=GMT%2B8
    username: tmj
    password: MMC@2022&MYSQL
    #   Druid数据源配置
    type: com.alibaba.druid.pool.DruidDataSource
    druid:
      initial-size: 10     #初始化连接池大小
      min-idle: 10         #最小大小
      max-active: 50       #最大大小
      max-wait: 60000      #获取连接时最大等待时间，单位毫秒
      time-between-eviction-runs-millis: 60000   #配置间隔多久才进行一次检测，检测需要关闭的空闲连接，单位是毫秒
      min-evictable-idle-time-millis: 300000     #配置一个连接在池中最小生存的时间，单位是毫秒
      validation-query: SELECT 1 FROM DUAL       #用来检测连接是否有效的sql
      test-while-idle: true                      #申请连接的时候检测，建议配置为true，不影响性能，并且保证安全性
      testOnBorrow: false                        #获取连接时执行检测，建议关闭，影响性能
      testOnReturn: false                        #归还连接时执行检测，建议关闭，影响性能
      pool-prepared-statements: false            #是否开启PSCache，PSCache对支持游标的数据库性能提升巨大，oracle建议开启，mysql下建议关闭
      filters: stat,wall                   #配置扩展插件，常用的插件有=>stat:监控统计  log4j:日志  wall:防御sql注入
      filter:
        wall:
          config:
            multi-statement-allow: true
          db-type: mysql
          enabled: true
      connection-properties: druid.stat.mergeSql\=true;druid.stat.slowSqlMillis\=5000   #打开慢sql记录和延迟时间
      web-stat-filter:
        url-pattern: /*
        exclusions: "*.js,*.gif,*.jpg,*.png,*.css,*.ico,/druid/*"
        enabled: true
      stat-view-servlet:
        enabled: true
        login-username: druid
        login-password: druid
  jackson:
    date-format: yyyy-MM-dd HH:mm:ss

#mybatis
mybatis:
  executor-type: simple
  mapper-locations: classpath:mapper/**/*.xml
  type-aliases-package: com.mmc.iuav.user.entity
  configuration:
    map-underscore-to-camel-case: true

wx:
  sub:
    appid: wx5c6a105a0ddca4c5
    secret: 96c75255dd26f82f8d55e15b59e101c7
  app:
    id: wx18b7883acd204278
    secret: 28afe74ba373830237a8133a7431ee82
    miniprogram-state: trial
    env-version: trial
    token-path: /userservlet/wechat/getAppletUserAccessToken
    port: user

third-party:
  ali:
    app-code: 524b1864a88f47458c1061bae3811570
  qcc:
    app-key: 5015e664848d406ab1ca4b505c3da803
    secret-key: 7C4DB8CCECC148175E46392CC0A1B410